=== debian/control ===
Source: strongswan
Section: user/network
Priority: extra
Maintainer: Tobias Brunner <tobias@strongswan.org>
Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev (>= 0.9.8),
               libglib2.0-dev, libosso-dev, osso-af-settings
Standards-Version: 3.7.2

Package: strongswan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-power (>= 2.6.28-maemo42)
Suggests: strongswan-applet
Description: strongSwan IPsec VPN
 strongSwan is an IPsec-based VPN solution.
XSBC-Maemo-Display-Name: strongSwan IPsec VPN
XSBC-Bugtracker: http://wiki.strongswan.org/projects/strongswan/issues
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAABL2lDQ1BJQ0Mg
 cHJvZmlsZQAAeNqtkbFKw1AUhr8bRcWhVgji4HAnUVBs1cGMSVuKIFirQ5Kt
 SUOV0iTc3Kp9CEe3Di7uPoGTo+Cg+AS+geLUwSFIcBLBb/rOz+Fw4AejYted
 hlGGQaxVu+lI1/Pl7BMzTAFAJ8xSu9U6AIiTOOInAj5fEQDPm3bdafA35sNU
 aWACbHejLARRAfoXOtUgxoAZ9FMN4g4w1Um7BuIBKPVyfwFKQe5vQEm5ng/i
 AzB7rueDMQeYQe4rgKmjSw1QS9KROuudalm1LEva3SSI5PEo09Egk/txmKg0
 UR0ddYH8PwAW88V205FrVcvaW+efcT1f5vZ+hADE0mORFYRDdf7dhbHz+1zc
 GC/D4S1MT4ps9wpuNmDhushWq1DegvvxF8KzT/7obdArAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2wIBDRghsPtp
 HQAAD/JJREFUaN7Vml2sZldZx3/PWmt/vPvd78zpTKftGcq00zJTMI5WUIuk
 EdMUGxQJbaIGBBKCxhhvTLxBTPCGK4xEL5U7QiAaEOMFVGAgQCG2tBRaWmz5
 au3MmXY+2ul5P/feaz2PF3u/55wpBud4Y9zJyj7nPfvd6/886/98H2HPdeDA
 5J6yKH/Te3fce58Vea5ZFpIPWde0TdSk0UzVjCTioggppZhAokFKXRfVkjoX
 ovMuphg7VY3eh+S9T6aqahqDD533PoqjE5HOO98ZdEAnIo130oq4znlpTa01
 szal1CKu8SJLYPXEfzwdAQTg5hMngk/xH07cevx9wTtS7PDeEYJHgKSKmZGS
 kpKiqqpqpqZJVZP2PyXDkirRTJOZJTM6zDrDWjNasAZkhdnKhCXGApElxlyE
 ucFcYAbMRWQGzMHmqjZXtYXBwjm3NGOpZrPHHn+iCwB1kf/p60/d/r7zFy/q
 0z/8sS6WS1S1lw4MEQRMBDMARAXMDO1vKGYKJBBFLIEkgeEzdHjGADMwQPt3
 iiKi0j+XEBJIFIhAh9AJEkWkc06i9yFWVaVZ8OENt/9CCre97rXZLTfd+Ifb
 29t86Stf15SSOO9FAJFhG4etaSaIITh6cB5QEbH1704kIQiIG75iIhiIAlEE
 ByIig1oElV4ARSSKSJSeSsOiE6RFpHPOdc75mFRTPR6rcyJhMV/cXI+r4w8+
 /KglVcnzXNbUIgEl0F4BSYc/e9gRTAHXnxa97LJjWgZimKkJSZAI1pnRGbQC
 rZmtQFYithJYAsv+d5YMnPfONQatiItd28WlW2qe5xaKPHvVfDYfX355Owbv
 e/AdmCIyMrK/icSPOfQR34MpeqXuAb+2JQW0pxUqYgNYomEt0GA0CV0JskJk
 YaYLgTkiPfdFZpjNEOaCzERkgbAUZGVqjVNrTbUzC8kgJcMCmg6u2pamaU1E
 hARcZ5L/VSR7hyI3QP4eJX450f5FQJ8QIccwbBDCWPO3X3GwhShOopm1QC8A
 LM1YIDbHbG7G1GCK2VREpphNgRnGDGzeGzFLERpBGnHSJXUxqSZTtTNntywk
 1XHTdmhK/XknKP4ukv+e0n5WkGuBGWRvM9zPd7K4PVNmonjWvL8CeJ7nfjQa
 jaqqKsqyDFmWkWWZqupLy+Xy7AsvvPBU27Zz1TQ1Ywq7y3pBZsDczBYgSxFW
 gwfrUKL3phh2/vLLBhBCyEZdjKiqoYKMwL/R0BWsfjdQ/G2i+4hX/bMk7ijI
 NZhNfwp8yvM8G41GdVVV2agcUY5KGY/HlGVJWZQuy8K1zvvDp06d+rkLF84/
 +Oij3/lS0zTbIjI1s6n12p+b7Wh+JcJK1Rqw6JyLmKWmaS2ltEPf4Jwrui5h
 GOLErAH7AfhjUPx9wt1syA1G8+chASYBI1yp+bIsy/F4PKrrWvI8Z7289wTv
 yfOcuq6lrmu55tA1+dHNo2+8/vob0unTpz85nU63RWQmIjMzm5vZQkSWItKo
 agN0zrmUUkoxRnuF7eE3NjbuzLL8nvPnL0QRcZKQ9F0R/+tGdo/hb4HwLhX/
 JhX7kag+J0k8uqZMWZZlXdejyWQiWZYRQsCJo4sdTdOwahpiimRZRl3XTOoJ
 x2465g8eOPCqV7/6Rv/MM88+tFqtXl5rX0RWIrJS1XYAH2OMOmj9CvAA/tCh
 Q78RQnb3xYsXo4g4HGJnxbqPOUvfFJPXGsyEcKdJ9vvq4+clsiUdnlgURT6Z
 1OO6nkjwAR88KSVWqxXee6uqykZlac57FvO5dDGysbHBZFxzy2tu9Xme3Xzs
 2LELTz755Lfbtp3t0fxVgQdwqpqbaf+AAaWZf7Pi3qB09zvV7wnLe0K3+pCL
 MoHwVnNmdEAaj6txUZTivSdkgZQSKSU2NjZSCOHMbDZ7eLlaPphl2fdufPWN
 lyYHJnHr7BblaMRyNue6a48UJ0+e+OOTJ0+ac2651nwfdV3suu5ngu9twPtM
 VRUwiZI4ZGH05c7ZCzC/I1MMyFEp6MNY0/O+KIo8zwsp8oIsBJxziMDBjYPx
 0sVLj547t/WEqm0DU+/drCxHq7vfcvddm5ub9ywW87yux5TlCIX8Hfe9446t
 ra3PPv/88+0QgVOMUQdcP/NyIpJbn8coGdizou1fe3WbMH66C+F3VKpvdmXx
 lxrS02j3z24p0JVhFEZZRe4y6rJGkjAZHYhnnz37tbNnzz4eY3pJVV9W1ctd
 F1+aTqfnT3/p9Cdiil849/zzqR7XZMFz/Kab3ZHDR+666aab0hr8oPn/ETyA
 C97nZhZFxBCMgLUf9HHxByHGf3IJMH1M4uqDfrm4K3vRnpG5XIdmt7rS34Sk
 o5G0GYnXt3ou2/rhi/7SBU16efDtL+/18fP5/OKFCxc+f3DjYKzGFeIc42rs
 i7I4dfLkSV2DvxrN71BInBPrv9CvIQWLn3QxftKl4qOx7D7qZ3pGViJ0IrIK
 74yHl39yPm/kAhg4cZiaiy7e4v7FpfiB8IRkLPaAn4nI1Dm3uPDChadGvzqy
 alTRtg2HDh9GRA4fOXJk3+ABgqkKkERkLQQISN77+fZDYZuOTnI6EWnNrI0f
 D2dv/OaxazY3j7rVasXmDZtcungpPvL4w5/q5vG8BOavBC8i87Zt59PpdDkq
 Czt48CCXt1/m4MZBceLqsixtv+ABgqqqiMQhLfZ9yo7t5DQrOoRWnHR91shK
 5tJWTW3X+iPMmbM5OkqUZJx3zxLlJfyuAHuC1EJEFl3XifeBzVcd5ey5LfIi
 RzVJXdfG/+IKqqre+7QnKVunCb0AjnbQfAOsgCWOtqgKP6pHJBLVpGI0LjOX
 u0WfiO3kNzMRmavqQkQWIrI6cOCADyGMsizDOTd4L6mKImRDVrsvQZxzTgcj
 jgPovasZwPfA+7Xw3jcxRuq6JqXEeDxmuVwxgN7eA36mqvMB/NLMmul02j3w
 wAO0bcO3vvUtlsslX/3qV5nNLpX7Bd/bgFkSkT7PEXGDLSQz+ynNi7CclEGy
 3Lmua5o8z32K0cqyYLGYd687Vlbj8YHJeJT5A3WeH5xk5eGDo+bwRtHUdrkN
 25fjgmn2sX9/5KXlclY+/NBDzN/7Xh5++KHmt04ePb71qbeN8+Pf/sm1b9y6
 aluQEydOfBh415kzZ0xEMjOjL8htrfkGWAosr7smH93xmvrOehRcVXrqUW7j
 ccakyphUBfU4px4X1FXOqAxUo5yiyMi9EXxfwqF9yWwpoSliMQ73DtMU3aR6
 S/WTx79x5APPx6s6gYEq7Z7P1ga8y3lY1CMvd9xa3XnDzYfceFwwmYyY1KVM
 JhV1PaauSyYHKqpRxbgeUY5GlKOCIgvkmcN7w4nhSIh1WOpAW0gRSyvQBott
 9tzXv/dFbrn9dXD/j/YlwFDEKmBm1g0CLAYB5htVmFS5c+ORRy+8SJpnxCqn
 qzK6qqAb5zRVji8z3CiDMiflnjZ4vJO+/rEEqmhSLHVojFiKpK4/gRvfdBuW
 NKyW6RhwVQI4oBt43gLN2mD7iojFUFzM3nSyesvmLRvUlafKHePCM86lv5eO
 KneMMqHMHUXmCL7XjsNwQ6aCWd990cRAVUyt/xywlLjx147L8uUX/+2qvdCg
 7ZWIrPZQZjkAn/cFJdM6x9WlI557kUnpqHKoCkdVSA88E/Ig5B4yZ3gMJwln
 aUfzpglTQ02xpNjQMOuFUp79+hNoSpjGcNVeaDiBVd8KEbeH/4t1h8zMpuNc
 bDJy0hZClQt14RgXg9YDFAHyAF7AoXgUp4Nbl6GbtRYiJWyPUDt3M6yLWNJ9
 uNGeNsshiIiIRDNbicjczGZmNgO2q1yoS8cq7wVYAy+9UHjIvZGhZJLwGKJ9
 kwgbumKDpi0lMMViQjXtCqSGaUK7thfuqk+gb3ssRAQzc0ODdTkAnw2BaVbl
 QpUZLhOqDMqMXoCgZN7wKEEMh/LoU5f5xOkzfOGR89zzK9fznruP8frXHBw4
 31OHNICPac/JKNYldD8nICLNYLDrqx1OZC3AFJiOM2NcGD6zQfNG4Y3gjCBK
 YGiJJuMfH1I+88AWAJ/+2llCvcntxyMM/Cet7WH3FHruK7FrewGv1ohFZDUU
 0+uO8GzIIreBbRGZAtujDEpnFAHKYOTeyF3foNgF37vFz33jqSs2+dwDT+0J
 WAlLEU0D6PVSRTWhbTv0ia/eC632tLPXGeQO8EGQaZVB6RMjb+ROyUUJJDwJ
 UUU0giZIiXvvve+KTe699z5S7NDY7fj/vVFYB8FJidS2kNI+BOh9/hr8DJHt
 gffrNRWReeGNAiVzSjZQxqGIKWJdT4sU0Rh5/7vv4+1vfzsAp06d4v3vvg/r
 ItpFtBsEiXEIZL0d9CeipKbdnw2Y6mLIHFVEksDKdmPAdPBG88IruSQ6UTyC
 ow9IkgyTgFpErG9hn5Dv8NoTx/lXIMbISXmM7Rj78YD1o4TecG3HC6G9h9Ku
 A437qAd6Ck3XWegQzNYBbDG0+halGE5jH6AGzksycKFPxJxHnENEufzdT/Pp
 z1wG4Pvf/z4P3v9xbjs6GgQY3KkpqF3Bf1Mj7vcEBo1P173OoTO27lEuzGzp
 nFtmTnEWCZJw65JHwGLEnEPMQAUTx5NnV/z4med2NvnKf17DietmfetpiL7s
 cam7K5Ea1we1q/dCNOuyr69dme5JI4aZlDVOFOli7200Ijpwfm2MsSMNydnp
 5669YpMvPvYiGju06wav0z+/Nl5b20JKxKaF/cUBGoyZ7JSRuznR4GIbM2v9
 ED1N0zCKiX2UVUOcgjkcSnLCm3/7nfzSW/9oNz9PHYtzH6EM/Tf7qdqaSjak
 Ej2tUmfoPk4gOOdbJc3FSfLmkpqu64A1+M45FwXFug5RQVHErKeNM8QEUSNJ
 P/6767aS7MCVp3D2/gOkxeXBBoZOZlobte0IklrbVyALTugQt3DOJTOLTl2r
 oo2ItKraOec6VVWxhEVZzyT7CeCgyT7lcf1gTISt+z+8nrK9ok431nPKXY9k
 O+8xM1Jn+7KBABK9YxF8UMxiEu1EpIVe82amXdepkJOiYgqIIdIbrIhhMoA0
 6adn/QgSkN0qfRjQru+7AuwmehhoN9QI+ziB5JxfhuBNNSXn+pks/TQxdV27
 0x3WNEx4McwExIZZrAxzv36m2ieGw993ps3rYSXIUMCw41b795op6epDAOsR
 UxKhybJgSVPyqiklTc45bdvW1nsBmA5416WzWZ8yC30QQ3oBZc/PO2W27NKF
 3XG3rV+8ZuU+e3Mhy7yCtHmWEVNSTarJp6TqbBjpANRmxKEAuvJaU0J2CbMW
 ild0CmR4VvdS6r+5hr3qIZj+7LYKwC+//hdD10WZLxbWNI0ulyu7eOnFvTvU
 w8i7BHKgGO7ZnuUHAf1Qa+8OzHfHsXrlKLb/B49hrUex7doLXo0AYTjB5Jy4
 LARTVXvuzNYr1TO7mpf9X1we4NzzL3D0husxHE89/QPj/9H1X/YEXFQL/X68
 AAAAAElFTkSuQmCC
