## strongswan 4.5.1

=== debian/changelog ===
strongswan (4.5.1-1) unstable; urgency=low

  * New upstream release

 -- Tobias Brunner <tobias@strongswan.org>  Fri, 11 Feb 2011 10:35:41 +0100
