=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 CONFIG_OPTIONS = \
 	--prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
 	--disable-tools --disable-scripts \
+	--disable-fips-prf --disable-pubkey --disable-attr \
+	--disable-constraints --disable-revocation \
 	--disable-sha1 --disable-sha2 --disable-aes --disable-des \
 	--disable-md5 --disable-gmp --disable-pgp --disable-dnskey \
 	--enable-openssl --enable-monolithic --enable-eap-identity \
