## strongswan 4.5.2

=== debian/changelog ===
strongswan (4.5.2-1.5+deb7u3~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for squeeze-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 14 Apr 2014 19:47:16 +0200

strongswan (4.5.2-1.5+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - CVE-2014-2338-4.x added, fix authentication bypass (CVE-2014-2338).

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 03 Apr 2014 21:55:09 +0200

strongswan (4.5.2-1.5+deb7u2~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for squeeze-backports.
  * debian/control: Add myself to Uploaders.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 12 Nov 2013 22:46:31 +0100

strongswan (4.5.2-1.5+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches
    - CVE-2013-6075 added, fix remote denial of service and authorization
      bypass.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 29 Oct 2013 19:24:14 +0100

strongswan (4.5.2-1.5+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
   - 0001-Check-return-value-of-ECDSA_Verify-correctly added. Fix ECDSA
     signature verification when using openssl plugin (CVE-2013-2944).

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 29 Apr 2013 15:59:20 +0200

strongswan (4.5.2-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "package must not include /var/lock/subsys":
    don't ship /var/lock/subsys but create it in the init script.
    (Closes: #667764)

 -- gregor herrmann <gregoa@debian.org>  Fri, 15 Jun 2012 16:21:27 +0200

strongswan (4.5.2-1.4) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - 0001-Fix-boolean-return-value-if-an-empty-RSA-signature-i added,
      backported from upstream. Fix CVE-2012-2388 (when using gmp plugin,
      zero length RSA signatures are considered valid).
    - 0001-Added-support-for-the-resolvconf-framework-in-resolv added,
      correctly handle resolvconf-managed /etc/resolv.conf.     closes: #664873

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 24 May 2012 17:55:51 +0200

strongswan (4.5.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #631502
    - Norwegian Bokmål, (Bjørn Steensrud).  Closes: #654411
    - Polish (Michał Kułach).  Closes: #658125

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Feb 2012 07:22:07 +0100

strongswan (4.5.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop libopensc2-dev from Build-Depends; that library is now private to
    opensc and is not required at build time as it's loaded by dlopen() anyway.
    (Closes: #635890)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Sep 2011 16:50:11 +0200

strongswan (4.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/strongswan-starter.ipsec.init: Init script should depends on
    remote_fs instead of local_fs, also provide ipsec instead of vpn as
    the other ipsec implementations (Closes: #629675)
  * debian/patches/0001-fix-fprintf-format.patch: Fix FTBFS with gcc 4.6,
    taken from upstream (Closes: #614486)
  * debian/control: Tighten dependency version against libstrongswan
    (Closes: #626170)
  * debian/strongswan-starter.lintian-overrides, debian/rules:
    Correctly set restricted permissions on /etc/ipsec.d/private/
    and /var/lib/strongswan (Closes: #598827)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 04 Jul 2011 10:58:59 +0200

strongswan (4.5.2-1) unstable; urgency=low

  * New upstream version 4.5.2. This removes a lot of old manpages that were
    not properly updated since freeswan.
    Closes: #616482: strongswan-ikev1: virtual ips not released if xauth name 
                     does not match id
    Closes: #626169: strongswan: ipsec tunnels fail because charon segfaults
    Closes: #625228: strongswan-starter: left-/rightnexthop options are broken
    Closes: #614105: strongswan-ikev2: charon continually respawns
  * Fix typo in debian/rules that precluded --enable-nm from being passed to
    configure (LP: #771778).
    Closes: #627775: strongswan-nm package is missing nm module
  * Make sure to install all newly added plugins (and generally files created
    by make install) by calling dh_install with --fail-missing. Install some
    newly enabled crypto plugins in the libstrongswan package.
    Closes: #627783: Please disable modules that are not installed in package 
                     at build time

 -- Rene Mayrhofer <rmayr@debian.org>  Thu, 19 May 2011 13:42:21 +0200
