## strongswan 4.6.0

=== debian/changelog ===
strongswan (4.6.0-1) natty; urgency=low

  * New upstream release

 -- Tobias Brunner <tobias@strongswan.org>  Mon, 07 Nov 2011 14:01:45 +0100
